import { type ColoredNoiseOpts } from "./api.js";
/**
 * Exponential decay (1/f) noise, based on Voss-McCarthy algorithm.
 *
 * @remarks
 * The number of internal states should be in the `[4,32]` range (default: 8).
 * Due to JS integer limitations, `n` > 32 are meaningless.
 *
 * References:
 *
 * - https://www.dsprelated.com/showarticle/908.php
 * - https://www.firstpr.com.au/dsp/pink-noise/#Voss-McCartney
 *
 * @param opts -
 */
export declare function pink(opts?: Partial<ColoredNoiseOpts>): Generator<number, void, unknown>;
//# sourceMappingURL=pink.d.ts.map